* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box; }

body {
  text-align: center;
  background-image: url("../img/back.png");
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed; }

.logo {
  height: 50px; }

h3 {
  color: white;
  background-color: darkslateblue;
  margin: 10px;
  padding: 10px;
  text-align: start; }

.icon {
  color: red;
  font-size: 1.5rem;
  cursor: pointer; }

nav {
  align-items: center;
  padding: 1.5rem;
  margin-right: 0;
  margin-left: 0;
  border-width: .2rem;
  background-color: white;
  opacity: .8; }
  nav .icon {
    font-size: 1rem; }

.well {
  margin: 20px 10px;
  padding: 20px;
  background-color: lightgrey; }

#details .main-block img {
  width: 100%;
  max-width: 600px; }

.container {
  margin: 0 auto;
  padding: 0;
  position: relative;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  max-width: 1000px; }
  .container:after {
    content: "";
    clear: both;
    display: block; }
  .container-flex {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between; }

.film-card {
  margin: 1.5vw;
  padding: 15px;
  min-width: 200px;
  background-color: white;
  position: relative;
  padding-bottom: 40px; }
  .film-card:hover {
    text-decoration: none;
    background-color: lightblue; }
  .film-card img {
    width: 100%;
    padding-bottom: 10px; }
  .film-card .title {
    color: #333;
    text-transform: uppercase;
    padding-bottom: 10px; }
  .film-card .descr {
    color: #999;
    max-height: 100px;
    text-align: justify;
    overflow: hidden;
    text-overflow: ellipsis;
    padding-top: 10px; }
  .film-card .rating {
    padding: 5px 0; }
    .film-card .rating i {
      display: inline-block;
      height: 10px;
      width: 10px;
      background-image: url(../img/star.png); }
      .film-card .rating i.active {
        background-image: url(../img/star_black.png); }
  .film-card .icon {
    position: absolute;
    bottom: 0;
    left: calc(100%/2 - 10px); }
  .film-card .badge {
    cursor: pointer; }
  .film-card.small {
    max-width: 160px;
    min-width: 130px;
    padding: 0;
    padding-bottom: 35px; }
    .film-card.small .title {
      padding: 0 10 px; }
    .film-card.small .descr {
      display: none; }

.isLoading {
  border: 10px solid #f3f3f3;
  border-radius: 50%;
  border-top: 10px solid #3498db;
  width: 35px;
  height: 35px;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
  margin: 0 auto; }

@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg); }
  100% {
    -webkit-transform: rotate(360deg); } }

@keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg); }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg); } }
